org.apache.struts2.views.velocity.components

## Class FormDirective

- java.lang.Object
- - org.apache.velocity.runtime.directive.Directive
  - - org.apache.struts2.views.velocity.components.AbstractDirective
    - - org.apache.struts2.views.velocity.components.FormDirective

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

      public class FormDirective
      extends AbstractDirective

  See Also:
    `Form`

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

      `log, rsvc`

    - ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

      `BLOCK, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormDirective()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Component` | `getBean(ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
    `String` | `getBeanName()`
    `int` | `getType()`

    - ### Methods inherited from class org.apache.struts2.views.velocity.components.AbstractDirective

      `createPropertyMap, getName, putProperty, render`

    - ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

      `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, init, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormDirective

          public FormDirective()

  - ### Method Detail

    - #### getBean

          protected Component getBean(ValueStack stack,
                                      javax.servlet.http.HttpServletRequest req,
                                      javax.servlet.http.HttpServletResponse res)

      Specified by:
        `getBean` in class `AbstractDirective`

    - #### getBeanName

          public String getBeanName()

      Specified by:
        `getBeanName` in class `AbstractDirective`

    - #### getType

          public int getType()

      Overrides:
        `getType` in class `AbstractDirective`
      Returns:
        All components, unless otherwise stated, are LINE-level directives.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.